#! /bin/bash

openCARP=/code/openCARP-Actors/environment_setup/openCARP/_build/bin/openCARP
MESH_TYPE_TEST_PATH=/code/openCARP-Actors/tests/mesh_type_1_tests

# Specify the test you want to run (this is the name of the config file without "config_" and ".toml")

# TEST=test_s1_only
# TEST=test_s1_s2_bisection
TEST=test_s1_s2_bisection_distributed
# TEST=test_s1_s2_interval
# TEST=test_s2_only_2_interval
# TEST=test_s2_only

CONFIG=config_$TEST.toml
LOG_DIR_NAME=${TEST}_log
LOG_DIR=$MESH_TYPE_TEST_PATH/$LOG_DIR_NAME

echo "LOG_DIR: $LOG_DIR"

mkdir -p screen-logs
mkdir -p $LOG_DIR
export OMP_NUM_THREADS=1
screen -L -dmS server -Logfile screen-logs/server.log \
  $openCARP -c $CONFIG -o $LOG_DIR/ -s -p 4444

# echo "Started Server"                   
# sleep 1
# N=3
# for (( i=1; i<=N; i++ ))
# do
# screen -L -dmS client$i -Logfile client$i.log \
#               $openCARP -a -H "localhost" -p 4444 -o $LOG_DIR/

# done
